LaTeX forum ⇒ MiKTeX and proTeXtDowngrading to 2.8.x or 2.7.x Topic is solved

Information and discussion about MikTeX distribution for Windows and the related proTeXt: Installing, updating, configuring
poliorcetes
Posts: 6
Joined: Tue Aug 12, 2014 12:10 pm

Downgrading to 2.8.x or 2.7.x

Postby poliorcetes » Tue Aug 12, 2014 12:23 pm

Hi all

In the last months, I am experiencing problems when compiling .tex documents which I haven't been able to trace. After trying several workarounds, I have decided to downgraded to a prior version... and I am not being able to find a 2.7.x or 2.8.x net installer.

What can I do?

Thanks in advance

Tags:

User avatar
Stefan Kottwitz
Site Admin
Posts: 8979
Joined: Mon Mar 10, 2008 9:44 pm

Postby Stefan Kottwitz » Tue Aug 12, 2014 12:51 pm

Both versions are "end of life", they are not available anymore, officially, furthermore packages cannot be installed via a package repository.

If you cannot work with 2.9, I recommend to install TeX Live 2014. It is newer (MiKTeX2.9 was released in 2010), and it relies on a larger maintainer base, where MiKTeX is maintained by one man only (which is a great performance),

Stefan
Site admin

poliorcetes
Posts: 6
Joined: Tue Aug 12, 2014 12:10 pm

Postby poliorcetes » Tue Aug 12, 2014 1:03 pm

Thanks for the quick answer!

I use miktex since 2004 and I'm pretty satisfied until now. I use the same base documents once and again because they are optimized for my needings and preferences during years. What is more strange is that these documents worked in previous versions of 2.9 but the last installations in both 32 and 64 bit started to create problems and the compilations stopped without proper results.

Usually I use LyX 2.0.x. Is texlive compatible with lyx in windows?

thanks again for the answers

User avatar
Stefan Kottwitz
Site Admin
Posts: 8979
Joined: Mon Mar 10, 2008 9:44 pm

Postby Stefan Kottwitz » Tue Aug 12, 2014 1:09 pm

TeX Live is compatible to LyX. It always worked for me fine since many years. I used MiKTeX before, but switched to TeX Live I guess 2008 when it got a package manager, like MiKTeX already provided. I'm working with TeX Live on Windows, Mac OS X and Linux.

It's possible that the problems could be fixed one by one, if you would tell us error messages and would post minimal examples for reproducing. Perhaps it's not only caused by MiKTeX but by certain package versions. Anyway, an installation of the newest TeX Live and a following package update could fix all version problems.

Stefan
Site admin

poliorcetes
Posts: 6
Joined: Tue Aug 12, 2014 12:10 pm

Postby poliorcetes » Tue Aug 12, 2014 4:44 pm

Definitivelly I'm motivated to test seriously texlive. I was very, very satisfied with miktex, but I cannot invest more hours in tracking what is wrong now with what worked before.

poliorcetes
Posts: 6
Joined: Tue Aug 12, 2014 12:10 pm

Postby poliorcetes » Mon Sep 08, 2014 10:11 pm

I have to add finally that complete installation gave problems with perl and windows 8.1. The installation that worked was net installation and now it work like a charm, without the problems of the last miktex versions.

Thanks again for the advice


Return to “MiKTeX and proTeXt”

Who is online

Users browsing this forum: No registered users and 3 guests